## lowmem 0.10

=== debian/changelog ===
lowmem (0.10) unstable; urgency=low

  * Put back the code coping with recent languagechooser changes
    Closes: #254631

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Jun 2004 07:17:25 +0200

lowmem (0.9) unstable; urgency=low

  * Re-upload, 0.8 release was botched.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jun 2004 13:11:38 -0400

lowmem (0.8) unstable; urgency=low

  * Joey Hess
    - Languagechooser has been reverted back to old behavior, follow suite.
  * Stephen R. Marenka
    - Add m68k minimum ram.
  * Joey Hess
    - Typo fix. Closes: #247934
  * Sylvain Ferriol
    - To be compliant with new languagechooser/language-name template

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jun 2004 12:32:02 -0400

lowmem (0.6) unstable; urgency=low

  * Print a message before running expensive trimtemplates operation at boot
    time.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Apr 2004 22:25:31 -0400

lowmem (0.5) unstable; urgency=HIGH

  * Don't always nuke all translations; test for flag file when operating
    on single files too. Closes: #245418

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 00:00:18 -0400

lowmem (0.4) unstable; urgency=low

  * Sylvain Ferriol
    - To be compliant with the previous trimtemplates in shell,
      trimtemplates can have directory or file as argument.
  * Joey Hess
    - Converted to use MemTotal, which will work with thre 2.4 and 2.6
      kernels.
    - Don't crash the boot process if the free memory cannot be detected.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Mar 2004 01:11:03 -0500

lowmem (0.3) unstable; urgency=low

  * Sylvain Ferriol
    - Re-code trimtemplates in C.
  * Joey Hess
    - Clean the binary.
    - lowmemcheck is binary any, not all.
    - Build it in in binary-arch.
    - Buils -Os.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Mar 2004 20:46:09 -0500

lowmem (0.2) unstable; urgency=low

  * Thiemo Seufer
    - Make amount of memory for lowmem installs arch-dependent.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 15:14:42 -0500

lowmem (0.1) unstable; urgency=low

  * First release. 32 mb installs work again on i386 with this package.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Mar 2004 13:31:36 -0500

=== debian/rules ===
#! /usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_clean trimtemplates

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install trimtemplates lowmem_debconf bin
	dh_install debian-installer.d lib

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_builddeb -a

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lowmem 1.06ubuntu1

=== debian/changelog ===
lowmem (1.06ubuntu1) hoary; urgency=low

  * In lowmem mode, default ubuntu/install-type to custom; GNOME won't be
    usable anyway.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  1 Dec 2004 11:29:42 +0000

lowmem (1.06) unstable; urgency=low

  * Joey Hess
    - Preseed countrychooser/shortlist, needed due to preseeding change in
      countrychooser. Closes: #277493

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Oct 2004 13:13:34 -0400

lowmem (1.05) unstable; urgency=low

  * Joey Hess
    - Add a keymap file removal hack, post-anna.
    - Add partman hook and module removal hack.
    - i386 can run in lowmem level 1 for 32 mb installs again.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Oct 2004 17:01:18 -0400

lowmem (1.04) unstable; urgency=low

  * Frans Pop
    - Template name change in countrychooser:
      country-name-shortlist -> shortlist

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 20:46:12 -0400

lowmem (1.03) unstable; urgency=low

  * Martin Michlmayr
    - Set level2 and min values for mipsel (Cobalt).
  * Bastian Blank
    - Set values for s390.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 20:27:36 -0400

lowmem (1.02) unstable; urgency=low

  * Joey Hess
    - Add Sylvain Ferriol's lowmem level patch.
    - Modifed to store the level in /var/lib/lowmem. Level 1 is default
      lowmem mode, level 2 is super lowmem mode. The file still doesn't exist
      in non-lowmem mode.
    - Documented this.
    - Add error message if the machine doesn't have even the minimum
      supported memory. Closes: #266984

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 2004 16:12:07 -0400

lowmem (1.01) unstable; urgency=low

  * Bastian Blank
    - Move script into startup code to follow rootskel changes. Needs rootskel
      0.89.
  * Joey Hess
    - Patch from Bubulle to hack in non-removal of -en "translations".
      Closes: #245166

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Aug 2004 16:28:55 +0100

lowmem (1.00) unstable; urgency=low

  * Thiemo Seufer
    - Increase userspace RAM trigger for mips to 33 MB.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 2004 23:31:55 -0400

lowmem (0.14) unstable; urgency=low

  * Martin Michlmayr
    - Before running the "kill" command, check whether there is actually
      any suitable "tail" process to kill; otherwise the postinst will
      fail when there is no such process which is always the case in
      serial console installs and might be the case when the postinst
      is run twice.  Closes: #260949
    - Also, be super cautious and use kill $pid || true because there
      is the possibilty for a race occuring; thanks, Joey Hess.
    - Increase needed ram on mipsel from 25 to 33: installations on
      Cobalt machines without lowmem do not work with 32 MB but work
      with 36 MB, so enable lowmem when less than 36 MB are found.
      (Machines with 35 MB RAM are shown to have 32, 32 MB are shown
      as 29, so pick 33 for needed ram.)

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 23 Jul 2004 16:04:27 +0100

lowmem (0.13) unstable; urgency=low

  * Fixes for when countrychooser is not installed, as in a floppy install,
    and for general robustness if other debconf questions are missing.
    Closes: #260628

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Jul 2004 20:05:54 -0400

lowmem (0.12) unstable; urgency=low

  * Move the stuff in S31lowmem to S10lowmem, so it runs before the code that
    decides whether to enable framebuffer. I think this code moved during
    recent rootskel changes.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Jul 2004 18:19:50 -0400

lowmem (0.11) unstable; urgency=low

  * Rebuild without .svn directory in deb. Closes: #256953

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jun 2004 11:19:05 -0400

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_install trimtemplates lowmem_debconf bin
-	dh_install debian-installer.d lib
+	dh_install debian-installer-startup.d lib
+	dh_install -p lowmem partman lib
 
 binary-arch: install
 	dh_testdir

## lowmem 1.52

=== Makefile ===
CC = gcc
CFLAGS = -Wall -Os

trimtemplates: trimtemplates.c
	${CC} ${CFLAGS} -o trimtemplates $^

## lowmem 1.07

=== debian/changelog ===
lowmem (1.07) unstable; urgency=low

  * Thiemo Seufer
    - Ajust memory usage values for mips.
    - Exclude .svn directories from build.
  * Martin Michlmayr
    - Test and update Cobalt (mipsel): 36+ real memory: no lowmem,
      25-35: lowmem 1, 22-24: lowmem 2.

 -- Thiemo Seufer <ths@debian.org>  Mon, 14 Feb 2005 01:02:18 +0100

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)

Package: lowmemcheck
Architecture: any
Priority: standard
XC-Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Priority: optional
XC-Package-Type: udeb
XB-Installer-Menu-Item: 25
Description: free memory for lowmem install

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_install trimtemplates lowmem_debconf bin
-	dh_install debian-installer-startup.d lib
-	dh_install -p lowmem partman lib
+	dh_install -X.svn trimtemplates lowmem_debconf bin
+	dh_install -X.svn debian-installer-startup.d lib
+	dh_install -X.svn -p lowmem partman lib
 
 binary-arch: install
 	dh_testdir

## lowmem 1.11ubuntu1

=== debian/changelog ===
lowmem (1.11ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Sep 2005 11:00:20 +0100

lowmem (1.11) unstable; urgency=low

  * Fix preseeding of localechooser by using db_fset to set
    debian-installer/locale as seen
    Closes: #329175
  * Avoid installing .svn directories in /lib (well, mostly cosmectic)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Sep 2005 18:12:08 +0200

lowmem (1.10ubuntu2) breezy; urgency=low

  * Make main-menu.d/5lowmem executable again (closes: Ubuntu #13397).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 13:43:23 +0100

lowmem (1.10ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2005 18:36:59 +0100

lowmem (1.10) unstable; urgency=low

  * Mark debian-installer/locale seen to properly preseed it and avoid the
    localechooser questions being asked.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 22:28:00 -0400

lowmem (1.09) unstable; urgency=low

  * Joey Hess
    - Modify control file priority to match overrides.
    - Update preseeding for localechooser.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Jun 2005 14:53:23 -0400

lowmem (1.08) unstable; urgency=low

  * Joey Hess
    - Try to reword the templates to avoid referring to installation, since
      the system may be used in rescue mode.
    - Set a "low memory mode" info message (rescue mode comes after and
      beats this message). Requires cdebconf-udeb 0.75 and main-menu 1.03.

 -- Joey Hess <joeyh@debian.org>  Thu,  5 May 2005 10:58:37 -0400

lowmem (1.07ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Update preseeding to force server-style installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2005 17:19:03 +0100

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)

Package: lowmemcheck
Architecture: any
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
XC-Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
XC-Package-Type: udeb
XB-Installer-Menu-Item: 25
Description: free memory for lowmem install

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_install -X.svn trimtemplates lowmem_debconf bin
-	dh_install -X.svn debian-installer-startup.d lib
-	dh_install -X.svn -p lowmem partman lib
+	dh_install trimtemplates lowmem_debconf bin
+	dh_install --exclude=.svn main-menu.d debian-installer-startup.d lib
+	dh_install -p lowmem --exclude=.svn partman lib
 
 binary-arch: install
 	dh_testdir

## lowmem 1.16ubuntu1

=== debian/changelog ===
lowmem (1.16ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Tweak lowmem levels for Ubuntu (closes: Malone #18870, #28286). 68MB
    works for a normal install; 52MB works in lowmem level1; 32MB works in
    lowmem level2. Only tested for i386 so far.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jan 2006 14:42:46 +0000

lowmem (1.16) unstable; urgency=low

  * Move anna-install lowmem to after rootskel has loaded debconf templates;
    anna-install requires a functional debconf and will fail to install
    lowmem otherwise.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Jan 2006 13:38:23 +0000

lowmem (1.15) unstable; urgency=low

  * Fix syntax error introduced in last upload.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 16 Jan 2006 01:33:41 +0000

lowmem (1.14) unstable; urgency=low

  * Add armeb lowmem levels.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 23:09:42 +0000

lowmem (1.13) unstable; urgency=low

  * Add arm lowmem levels (based on Linksys NSLU2).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 10:37:43 +0000

lowmem (1.12ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Adjust preseeding for new pkgsel question names.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Jan 2006 01:01:42 +0000

lowmem (1.12) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Optimize trimtemplates.c
  * Add a script to trimtemplate before debconf_loadtemplate

  [ Joey Hess ]
  * Rename the debian-installer-startup.d scripts for clarity.
  * Misc cleanups.
  * Remove svn exclusion stuff in rules file; if building from a svn checkout
    you should use standard workarounds to avoid svn directories.
  * Clean up kernel fuzz in minimum memory checking.
  * Update mipsel lowmem levels to match the numbers in the changelog for
    1.07.

  [ Christian Perrier ]
  * Set the locale to C in lowmem mode. Closes: #341540 (with localechooser
    0.24)
  * Add self to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Dec 2005 18:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
 
 Package: lowmemcheck

## lowmem 1.18ubuntu2

=== debian/changelog ===
lowmem (1.18ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Use list-devices to discover whether any discs have been found.
      Requires di-utils 1.33.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 11:06:15 +0100

lowmem (1.18ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 11:36:19 +0100

lowmem (1.18) unstable; urgency=low

  * Do not delete modules when partman is started if no discs have been found
    yet. This allows the user to go back to anna to load additional module
    udebs and run hw-detect again without having to find out that core modules
    have already been deleted.
  * Standards-version is not required for udebs.

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 13:41:21 +0200

lowmem (1.17) unstable; urgency=low

  * Change limits for level2 and minimum for i386.
    Level2 is needed below 44MB
  * Add a Standards field in control. Shut up, lintian

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Jan 2006 19:33:37 +0100

## lowmem 1.23ubuntu2

=== debian/changelog ===
lowmem (1.23ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:37:48 +0000

lowmem (1.23ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Tweak lowmem levels for Ubuntu.
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 16:36:57 +0000

lowmem (1.23) unstable; urgency=low

  * trimtemplates: don't remove "Choices-C" from templates. Closes: #400263.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Sun, 10 Dec 2006 03:23:38 +0100

lowmem (1.22ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Tweak lowmem levels for Ubuntu.
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Dec 2006 12:55:46 +0000

lowmem (1.22) unstable; urgency=low

  * Installations on ARM and MIPS with 32 MB require lowmem level 2.
  * Installations on ARM and MIPS with 64 MB should not need lowmem.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 26 Nov 2006 11:44:34 +0100

lowmem (1.21ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Tweak lowmem levels for Ubuntu.
    - Don't install the desktop in lowmem mode.
  * Update preseeding (archive-copier is obsolete, and
    pkgsel/install-pattern is superseded by tasksel/first).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Nov 2006 11:42:58 +0000

lowmem (1.21) unstable; urgency=low

  [ Colin Watson ]
  * Use list-devices to discover whether any discs have been found. Requires
    di-utils 1.33.

  [ Frans Pop ]
  * Remove standards-version and add Lintian override for it. 

 -- Frans Pop <fjp@debian.org>  Sat, 16 Sep 2006 11:42:29 +0200

lowmem (1.20) unstable; urgency=low

  [ Martin Michlmayr ]
  * Level1 installations work again on ARM with 32 MB RAM thanks to the
    temporary removal of crypto modules.

  [ Frans Pop ]
  * Assume amd64 needs similar limits as i386.
  * Update lowmem settings for Etch Beta 3; settings are somewhat conservative
    and can hopefully be lowered again in the future. Main culprit for
    increased memory usage is the number of supported languages which also
    explains the large differences between level 1 and 2 limits.

 -- Frans Pop <fjp@debian.org>  Mon, 31 Jul 2006 13:33:05 +0200

lowmem (1.19) unstable; urgency=low

  [ Philip Hands ]
  * get rid of a couple of redundant greps from the postinst
  * don't bother "truncating" already empty log files

  [ Martin Michlmayr ]
  * Increase level2 on ARM.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 12 Jul 2006 21:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.25

=== debian/changelog ===
lowmem (1.25) unstable; urgency=low

  [ Joey Hess ]
  * Add armel lowmem level. Should be close to the same as arm.

  [ Steve Langasek ]
  * Add alpha lowmem level.  Closes: #410596.

 -- Frans Pop <fjp@debian.org>  Wed, 21 Feb 2007 10:10:38 +0100

lowmem (1.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make sure that SGI machines with 64 MB of RAM don't run in lowmem
    mode. Closes: #405971.

  [ Frans Pop ]
  * Update lowmem levels for x86 for Etch RC2 as tested in VMware.

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:20:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem

## lowmem 1.26ubuntu1

=== debian/changelog ===
lowmem (1.26ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Tweak lowmem levels for Ubuntu.
    - Don't install the desktop in lowmem mode.
  * Partly revert to updated Debian lowmem levels for now. Need to retest
    for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Apr 2007 22:39:56 +0100

lowmem (1.26) unstable; urgency=low

  * Multiply menu-item-numbers by 100

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:32:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
@@ -15,5 +16,5 @@
 Package: lowmem
 Architecture: all
 XC-Package-Type: udeb
-XB-Installer-Menu-Item: 25
+XB-Installer-Menu-Item: 2500
 Description: free memory for lowmem install

## lowmem 1.27ubuntu1

=== debian/changelog ===
lowmem (1.27ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Don't install the desktop in lowmem mode.
  * Add XS-Vcs-Bzr for Ubuntu branch.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 23 Nov 2007 12:53:05 -0500

lowmem (1.27) unstable; urgency=low

  [ Frans Pop ]
  * Allow user to override the lowmem level by specifying a parameter
    "lowmem" at the boot prompt. Only a level higher than the default is
    observed.

  [ Joey Hess ]
  * Change i386 lowmem to below 48 mb. Needs new cdebconf with template
    trimming code. (The cutoff point for lowmem level 2 does not change.)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 27 Sep 2007 18:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
 
 Package: lowmemcheck
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_install trimtemplates lowmem_debconf bin
-	dh_install --exclude=.svn main-menu.d debian-installer-startup.d lib
-	dh_install -p lowmem --exclude=.svn partman lib
+	dh_install main-menu.d debian-installer-startup.d lib
+	dh_install -p lowmem partman lib
 
 binary-arch: install
 	dh_testdir

## lowmem 1.28ubuntu1

=== debian/changelog ===
lowmem (1.28ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 May 2008 18:05:00 +0100

lowmem (1.28) unstable; urgency=low

  * Fix regression so that error is displayed when available memory is below
    the minimum limit.

 -- Frans Pop <fjp@debian.org>  Wed, 02 Apr 2008 15:29:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
-XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.30

=== debian/changelog ===
lowmem (1.30) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Document the procedure on how to update lowmem levels in README.
    Credits to Frans Pop for explaining this on the mailing-list.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Sep 2008 21:32:31 -0300

lowmem (1.29) unstable; urgency=low

  [ Frans Pop ]
  * Update lowmem levels for i386 and set separate lowmem levels for amd64.
    Based on daily netinsts d.d. 30-04-2008 using 2.6.24.

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 13:23:27 -0300

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem

Package: lowmemcheck
Architecture: any
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
XC-Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
XC-Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.30ubuntu1

=== debian/changelog ===
lowmem (1.30ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Nov 2008 12:55:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.31ubuntu1

=== debian/changelog ===
lowmem (1.31ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jun 2009 13:33:41 +0100

lowmem (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Clean up keymaps and fonts from console-setup as well as console-data's
    keymaps.

  [ Frans Pop ]
  * Remove myself as uploader.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Jun 2009 22:11:59 +0200

## lowmem 1.31ubuntu2

=== debian/changelog ===
lowmem (1.31ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:56:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>, Frans Pop <fjp@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu

## lowmem 1.32ubuntu1

=== debian/changelog ===
lowmem (1.32ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 May 2010 08:54:51 +0100

lowmem (1.32) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Add ${shlibs:Depends} to lowmemcheck.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Aurelien Jarno ]
  * Add memory values for sh4. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 May 2010 22:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>,Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any
-Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
+Depends: ${shlibs:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
 XC-Package-Type: udeb
 Description: detect low-memory systems and enter lowmem mode

## lowmem 1.33

=== debian/changelog ===
lowmem (1.33) unstable; urgency=low

  [ Samuel Thibault ]
  * Update minimal memory values for armel, i386 and amd64, mark others as
    needing update.

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 14:38:27 -0200

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
XC-Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
XC-Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.33ubuntu1

=== debian/changelog ===
lowmem (1.33ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Nov 2010 13:34:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/lowmem
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.34

=== debian/changelog ===
lowmem (1.34) unstable; urgency=low

  [ Hector Oron ]
  * debian-installer-startup.d/S15lowmem:
    - add armhf support

  [ Philipp Kern ]
  * debian-installer-startup.d/S15lowmem:
    - add s390x support
  * debian/control: add ${misc:Depends}

 -- Philipp Kern <pkern@debian.org>  Tue, 04 Oct 2011 13:49:14 +0200

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
Vcs-Browser: http://git.debian.org/?p=d-i/lowmem.git
Vcs-Git: git://git.debian.org/d-i/lowmem.git

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
XC-Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Depends: ${misc:Depends}
XC-Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.34ubuntu1

=== debian/changelog ===
lowmem (1.34ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 11:59:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
-Vcs-Browser: http://git.debian.org/?p=d-i/lowmem.git
-Vcs-Git: git://git.debian.org/d-i/lowmem.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/lowmem.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/lowmem.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.35ubuntu2

=== debian/changelog ===
lowmem (1.35ubuntu2) quantal; urgency=low

  * Even in lowmem mode, leave the framebuffer enabled if vga= is found on
    the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 14:11:37 +0100

lowmem (1.35ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2012 15:14:04 +0100

lowmem (1.35) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * Remove more big files from console-setup.

  [ Christian Perrier ]
  * Remplace XC-Package-Type by package-Type
  * Add an override for "not-using-debconf". We know what we're doing, pal!

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Jul 2012 21:56:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
 Package: lowmemcheck
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
-XC-Package-Type: udeb
+Package-Type: udeb
 Description: detect low-memory systems and enter lowmem mode
 
 Package: lowmem
 Architecture: all
 Depends: ${misc:Depends}
-XC-Package-Type: udeb
+Package-Type: udeb
 XB-Installer-Menu-Item: 2500
 Description: free memory for lowmem install

## lowmem 1.36ubuntu1

=== debian/changelog ===
lowmem (1.36ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't install the desktop in lowmem mode.
    - Even in lowmem mode, leave the framebuffer enabled if vga= is found on
      the kernel command line.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 19 Nov 2012 21:00:14 -0500

lowmem (1.36) unstable; urgency=low

  [ Samuel Thibault ]
  * Update lowmem limits.

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 Sep 2012 06:52:37 +0200

## lowmem 1.38

=== debian/changelog ===
lowmem (1.38) unstable; urgency=low

  [ Steven Chamberlain ]
  * Increase lowmem limit for kfreebsd, to make sure we have enough memory to
    manage ZFS volumes.

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Jan 2013 22:33:30 +0100

lowmem (1.37) unstable; urgency=low

  [ Samuel Thibault ]
  * Make lowmem limit comments point at where the manual also needs update.

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Dec 2012 14:56:25 +0100

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
Vcs-Browser: http://git.debian.org/?p=d-i/lowmem.git
Vcs-Git: git://git.debian.org/d-i/lowmem.git

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Depends: ${misc:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.40

=== debian/changelog ===
lowmem (1.40) unstable; urgency=low

  [ Samuel Thibault ]
  * Document that we need to update the figure in the boot help text too.

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:09:07 +0200

lowmem (1.39) unstable; urgency=low

  [ Colin Watson ]
  * Use correct compiler when cross-building.

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 May 2013 17:41:47 +0200

## lowmem 1.40ubuntu1

=== debian/changelog ===
lowmem (1.40ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.
    - Even in lowmem mode, leave the framebuffer enabled if vga= is found on
      the kernel command line.
  * Move most of lowmem_debconf to happen after the framebuffer is
    (conditionally) loaded.  If the framebuffer is enabled, then we need
    this to happen later otherwise the initial lowmem warning is invisible.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Aug 2013 10:50:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dpkg-dev (>= 1.9.0)
-Vcs-Browser: http://git.debian.org/?p=d-i/lowmem.git
-Vcs-Git: git://git.debian.org/d-i/lowmem.git
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/lowmem.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/lowmem.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.42

=== debian/changelog ===
lowmem (1.42) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lowmem limits for linux-x86.

  [ Christian Perrier ]
  * Add a lintian override for not using po-debconf

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Sep 2014 08:09:59 +0200

lowmem (1.41) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make the / ramfs fill the whole memory again (Closes: #759336).

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2014 08:05:16 +0200

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/lowmem.git
Vcs-Git: git://anonscm.debian.org/d-i/lowmem.git

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Depends: ${misc:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.44

=== debian/changelog ===
lowmem (1.44) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2016 06:54:48 +0100

lowmem (1.43) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lowmem limits for hurd-i386.

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 May 2015 11:24:06 +0200

## lowmem 1.44ubuntu1

=== debian/changelog ===
lowmem (1.44ubuntu1) yakkety; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Don't install the desktop in lowmem mode.
    - Even in lowmem mode, leave the framebuffer enabled if vga= is found on
      the kernel command line.
    - Move most of lowmem_debconf to happen after the framebuffer is
      (conditionally) loaded.  If the framebuffer is enabled, then we need
      this to happen later otherwise the initial lowmem warning is invisible.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 16:44:24 -0400

## lowmem 1.45

=== debian/changelog ===
lowmem (1.45) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lowmem limits.

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Feb 2017 11:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/lowmem.git
-Vcs-Git: git://anonscm.debian.org/d-i/lowmem.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/lowmem.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/lowmem.git
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.45ubuntu1

=== debian/changelog ===
lowmem (1.45ubuntu1) bionic; urgency=low

  * Merge from Debian unstable (LP: #1743378).  Remaining changes:
    - Don't install the desktop in lowmem mode.
    - Even in lowmem mode, leave the framebuffer enabled if vga= is found on
      the kernel command line.
    - Move most of lowmem_debconf to happen after the framebuffer is
      (conditionally) loaded.  If the framebuffer is enabled, then we need
      this to happen later otherwise the initial lowmem warning is invisible.

 -- Christopher Glass (Ubuntu) <tribaal@ubuntu.com>  Tue, 21 Feb 2017 15:43:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/lowmem.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/lowmem.git
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/lowmem.git
+XS-Debian-Vcs-Git: https://anonscm.debian.org/git/d-i/lowmem.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/lowmem/ubuntu
 
 Package: lowmemcheck
 Architecture: any

## lowmem 1.46

=== debian/changelog ===
lowmem (1.46) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Aug 2018 18:00:17 +0200

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
Vcs-Browser: https://salsa.debian.org/installer-team/lowmem
Vcs-Git: https://salsa.debian.org/installer-team/lowmem.git

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Depends: ${misc:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

## lowmem 1.47

=== debian/changelog ===
lowmem (1.47) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927570)

  [ Samuel Thibault ]
  * Update limits.
  * source.lintian-overrides: Ignore untranslated templates.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jun 2019 20:28:13 +0200

## lowmem 1.47+nmu1

=== debian/changelog ===
lowmem (1.47+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:42:24 +0800

## lowmem 1.48

=== debian/changelog ===
lowmem (1.48) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * README: Mention to test Xen as well.

  [ Vincent McIntyre ]
  * lowmem/main-menu.d/5lowmem: Rename to 05lowmem so that rescue actually
    overrides it (Closes: #870574)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Miao Wang ]
  * Delete graphical terminal related files when mem is low (Closes: #977490)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Dec 2020 18:15:38 +0100

## lowmem 1.49

=== debian/changelog ===
lowmem (1.49) unstable; urgency=medium

  * debian-installer-startup.d/S15lowmem: Update minimum memory sizes.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Mar 2021 02:21:13 +0100

## lowmem 1.50

=== debian/changelog ===
lowmem (1.50) unstable; urgency=medium

  * Allow with e.g. lowmem=+0 to force a lowmem level, not only bump it.
  * Update lowmem levels for arm64, armhf, mipsel, mips64el, ppc64el.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 May 2021 21:58:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/lowmem
 Vcs-Git: https://salsa.debian.org/installer-team/lowmem.git

## lowmem 1.50trisquel0

=== debian/changelog ===
lowmem (1.50trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 05:52:11 +0000

## lowmem 1.50%2B11.0trisquel0

=== debian/changelog ===
lowmem (1.50+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Sep 2022 23:24:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lowmem
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Vcs-Browser: https://salsa.debian.org/installer-team/lowmem
 Vcs-Git: https://salsa.debian.org/installer-team/lowmem.git

## lowmem 1.51

=== debian/changelog ===
lowmem (1.51) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Make gbp produce the right tag format.

  [ Debian Janitor ]
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Use ?= for assignments to architecture variables.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + lowmemcheck: Drop versioned constraint on cdebconf-udeb and main-menu in
      Depends.

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 14:37:35 +0200

## lowmem 1.52

=== debian/changelog ===
lowmem (1.52) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Add hurd-amd64 case.
  * Make gbp tag produce the right tag format.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 13 Oct 2024 23:02:57 +0200

=== debian/control ===
Source: lowmem
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/installer-team/lowmem
Vcs-Git: https://salsa.debian.org/installer-team/lowmem.git

Package: lowmemcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cdebconf-udeb, main-menu
Package-Type: udeb
Description: detect low-memory systems and enter lowmem mode

Package: lowmem
Architecture: all
Depends: ${misc:Depends}
Package-Type: udeb
XB-Installer-Menu-Item: 2500
Description: free memory for lowmem install

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
